services:

  flux_se.sylius_payum_stripe.factory.cancel_request:
    class: FluxSE\SyliusPayumStripePlugin\Factory\CancelRequestFactory

  flux_se.sylius_payum_stripe.factory.refund_request:
    class: FluxSE\SyliusPayumStripePlugin\Factory\RefundRequestFactory

  flux_se.sylius_payum_stripe.factory.capture_request:
    class: FluxSE\SyliusPayumStripePlugin\Factory\CaptureRequestFactory

  flux_se.sylius_payum_stripe.factory.cancel_payment_intent_request:
    class: FluxSE\SyliusPayumStripePlugin\Factory\CancelPaymentIntentRequestFactory